Package com.scriptel.proscript

## Class RegionContainer

- java.lang.Object
- - com.scriptel.proscript.Region
  - - com.scriptel.proscript.RegionContainer

-     public class RegionContainer
      extends Region

  This class represents a container region in a ScripTouch device.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegionContainer()` | Public constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `getContainerReserved1()` | Reserved for future use.
    `int` | `getContainerReserved2()` | Reserved for future use.
    `int` | `getInkWidth()` | Gets the width of the ink.
    `int` | `hashCode()` |
    `boolean` | `isInkEnabled()` | Whether or not ink is enabled.
    `void` | `setContainerReserved1​(int containerReserved1)` | Reserved for future use.
    `void` | `setContainerReserved2​(int containerReserved2)` | Reserved for future use.
    `void` | `setInkEnabled​(boolean inkEnabled)` | Sets whether or not ink is enabled.
    `void` | `setInkWidth​(int inkWidth)` | Sets the width of the ink.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class com.scriptel.proscript.Region

      `acceptsTouch, getColorBackground, getColorForeground, getNumber, getOutputToHost, getReserved2, getX1, getX2, getY1, getY2, hasFrame, isDecode, isInUse, isReserved1, isVisible, setAcceptTouch, setColorBackground, setColorForeground, setDecode, setHasFrame, setInUse, setNumber, setOutputToHost, setReserved1, setReserved2, setVisible, setX1, setX2, setY1, setY2`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegionContainer

          public RegionContainer()

      Public constructor

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `Region`
      Returns:
        Human readable string.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `Region`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Region`

    - #### isInkEnabled

          public boolean isInkEnabled()

      Whether or not ink is enabled.
      Returns:
        the inkEnable

    - #### setInkEnabled

          public void setInkEnabled​(boolean inkEnabled)

      Sets whether or not ink is enabled.
      Parameters:
        `inkEnabled` - the inkEnabled to set

    - #### getInkWidth

          public int getInkWidth()

      Gets the width of the ink.
      Returns:
        the inkWidth

    - #### setInkWidth

          public void setInkWidth​(int inkWidth)

      Sets the width of the ink.
      Parameters:
        `inkWidth` - the inkWidth to set

    - #### getContainerReserved1

          public int getContainerReserved1()

      Reserved for future use.
      Returns:
        the containerReserved1

    - #### setContainerReserved1

          public void setContainerReserved1​(int containerReserved1)

      Reserved for future use.
      Parameters:
        `containerReserved1` - the containerReserved1 to set

    - #### getContainerReserved2

          public int getContainerReserved2()

      Reserved for future use.
      Returns:
        the containerReserved2

    - #### setContainerReserved2

          public void setContainerReserved2​(int containerReserved2)

      Reserved for future use.
      Parameters:
        `containerReserved2` - the containerReserved2 to set